/**
 * \file Per_Process_Process.cc
 * \author Scott F. H. Kaplan -- sfkaplan@cs.amherst.edu
 * \date September 2004
 * \brief A Process subclass designed for Per_Process_Consumers.
 **/



// ===================================================================
// INCLUDES

#include <assert.h>
#include "Per_Process_Process.hh"
// ===================================================================



// ===================================================================
Per_Process_Process::Per_Process_Process () :
  Process() {

  // Initialize the writer (which will be assigned later).
  writer = NULL;

}
// ===================================================================



// ===================================================================
Per_Process_Process::~Per_Process_Process () {

  // Delete the writer (if necessary).
  if (writer != NULL) {
    // delete writer;
    // writer = NULL;
  }

}
// ===================================================================
