/**
 * \file Per_Task_Task.cc
 * \author Scott F. H. Kaplan -- sfkaplan@cs.amherst.edu
 * \date June 2004
 * \brief A Task subclass designed for Per_Task_Consumers.
 **/



// ===================================================================
// INCLUDES

#include <assert.h>
#include "Per_Task_Task.hh"
// ===================================================================



// ===================================================================
Per_Task_Task::Per_Task_Task () :
  Task() {

  // Initialize the writer (which will be assigned later).
  writer = NULL;

}
// ===================================================================



// ===================================================================
Per_Task_Task::~Per_Task_Task () {

  // Delete the writer (if necessary).
  if (writer != NULL) {
    delete writer;
    writer = NULL;
  }

}
// ===================================================================
